%
% Main document
% ===========================================================================
%---------------------------------------------------------------------------
\documentclass[
	a4paper,				% paper format
	10pt,					% fontsize
	twoside,				% double-sided
	openright,				% begin new chapter on right side
	notitlepage,			% use no standard title page
	parskip=half,			% set paragraph skip to half of a line
]{scrreprt}					% KOMA-script report
%---------------------------------------------------------------------------

\raggedbottom
\KOMAoptions{cleardoublepage=plain}			% Add header and footer on blank pages

% Load Standard Packages:
%---------------------------------------------------------------------------
\usepackage[standard-baselineskips]{cmbright}
\usepackage[ngerman]{babel}			% german hyphenation
\usepackage[utf8]{inputenc}  		% Unix/Linux - load extended character set (ISO 8859-1)
%\usepackage[ansinew]{inputenc} 	% Windows - load extended character set (ISO 8859-1)
\usepackage[T1]{fontenc}		  	% hyphenation of words with ä,ö and ü
\usepackage{inconsolata}      		% monospace console font
\usepackage{textcomp}			    % additional symbols
\usepackage{ae}					    % better resolution of Type1-Fonts 
\usepackage{fancyhdr}			    % simple manipulation of header and footer 
\usepackage{etoolbox}			    % color manipulation of header and footer
\usepackage{graphicx}         		% integration of images
\usepackage{float}				    % floating objects
\usepackage{caption}			    % for captions of figures and tables
\usepackage{booktabs}			    % package for nicer tables
\usepackage{tocvsec2}			    % provides means of controlling the sectional numbering
\usepackage{tabularx}			    % advanced tables
\usepackage{ltablex}				% multipaged tables
\usepackage{listings}			    % advanced lists and code snippets with syntax highlighting
\usepackage{mdframed}			    % nice frames
\usepackage{lscape}					% for adding landscape pages
\usepackage{csquotes}				% for quoting
\usepackage{pdfpages}				% to insert pdf
\usepackage{titletoc}				% to create local table of contents
%---------------------------------------------------------------------------

% Load Math Packages
%---------------------------------------------------------------------------
\usepackage{amsmath}				% various features to facilitate writing math formulas
\usepackage{amsthm}					% enhanced version of latex's newtheorem
\usepackage{amsfonts}				% set of miscellaneous TeX fonts that augment the standard CM
\usepackage{amssymb}				% mathematical special characters
\usepackage{exscale} 				% mathematical size corresponds to textsize
%---------------------------------------------------------------------------

% Package to facilitate placement of boxes at absolute positions
%---------------------------------------------------------------------------
\usepackage[absolute]{textpos}
\setlength{\TPHorizModule}{1mm}
\setlength{\TPVertModule}{1mm}
%---------------------------------------------------------------------------					


% Definition of Colors and highlighting
%---------------------------------------------------------------------------
\RequirePackage{color}                          % Color (not xcolor!)
\definecolor{linkblue}{rgb}{0,0,0.8}            % Standard
\definecolor{darkblue}{rgb}{0,0.08,0.45}        % Dark blue
\definecolor{bfhgrey}{rgb}{0.41,0.49,0.57}      % BFH grey
%\definecolor{linkcolor}{rgb}{0,0,0.8}     		% Blue for the web- and cd-version!
\definecolor{linkcolor}{rgb}{0,0,0}        		% Black for the print-version!
\definecolor{light-gray}{gray}{0.95} 			% the shade of grey that stack exchange uses

% colors for syntax hightlighting
\definecolor{keywords}{RGB}{255,0,90}
\definecolor{comments}{RGB}{0,0,113}
\definecolor{red}{RGB}{160,0,0}
\definecolor{green}{RGB}{0,150,0}
%---------------------------------------------------------------------------

% Listings
%---------------------------------------------------------------------------
% Syntax Highlighting
\lstset{basicstyle=\ttfamily, 
	commentstyle=\color{green},
	stringstyle=\color{red},
	showstringspaces=false,
	keepspaces=false,
	breaklines=true,
	tabsize=2,
	numbers=left,
	stepnumber=1,
	numberfirstline=true,
	numberstyle=\color{bfhgrey}
}

% Python style for highlighting
\newcommand\pythonstyle{\lstset{
		language=Python,
		otherkeywords={self},             % Add keywords here
		basicstyle=\ttfamily, 
		commentstyle=\color{green},
		stringstyle=\color{red},
		keywordstyle=\ttb\color{darkblue},
		frame=tb,                         % Any extra options here
		showstringspaces=false,
		keepspaces=false,
		breaklines=true,
		showtabs=false,                  
		tabsize=1
}}


% Python for inline
\newcommand\pythoninline[1]{{\pythonstyle\lstinline!#1!}}

%---------------------------------------------------------------------------

% QUOTING
\newcommand{\q}[1]{``#1''}
%---------------------------------------------------------------------------


% Hyperref Package (Create links in a pdf)
%---------------------------------------------------------------------------
\usepackage[
	pdftex,ngerman,bookmarks,plainpages=false,pdfpagelabels,
	backref = {false},					  % No index backreference
	colorlinks = {true},                  % Color links in a PDF
	hypertexnames = {true},               % no failures "same page(i)"
	bookmarksopen = {true},               % opens the bar on the left side
	bookmarksopenlevel = {0},             % depth of opened bookmarks
	pdftitle = {VPN-Box - Easy to use VPN solution},	   	% PDF-property
	pdfauthor = {Christian Colic - Marc Werenfels},        					  % PDF-property
	pdfsubject = {VPN-Box},        % PDF-property
	linkcolor = {linkcolor},              % Color of Links
	citecolor = {linkcolor},              % Color of Cite-Links
	urlcolor = {linkcolor},               % Color of URLs
]{hyperref}
%---------------------------------------------------------------------------

% Set up page dimension
%---------------------------------------------------------------------------
\usepackage{geometry}
\geometry{
	a4paper,
	left=28mm,
	right=15mm,
	top=30mm,
	headheight=20mm,
	headsep=10mm,
	textheight=242mm,
	footskip=15mm
}
%---------------------------------------------------------------------------

% Makeindex Package
%---------------------------------------------------------------------------
\usepackage{makeidx}                         		% To produce index
\makeindex                                    	% Index-Initialisation
%---------------------------------------------------------------------------

% Glossary Package
%---------------------------------------------------------------------------
% the glossaries package uses makeindex
% if you use TeXnicCenter do the following steps:
%  - Goto "Ausgabeprofile definieren" (ctrl + F7)
%  - Select the profile "LaTeX => PDF"
%  - Add in register "Nachbearbeitung" a new "Postprozessoren" point named Glossar
%  - Select makeindex.exe in the field "Anwendung" ( ..\MiKTeX x.x\miktex\bin\makeindex.exe )
%  - Add this [ -s "%tm.ist" -t "%tm.glg" -o "%tm.gls" "%tm.glo" ] in the field "Argumente"
%
% for futher informations go to http://ewus.de/tipp-1029.html
%---------------------------------------------------------------------------
\usepackage[nonumberlist]{glossaries}
\loadglsentries[main]{datenbanken/glossar}
\makeglossaries
\glsaddall
%---------------------------------------------------------------------------

% Intro:
%---------------------------------------------------------------------------
\begin{document}                              	% Start Document
\settocdepth{section}														% Set depth of toc
\pagenumbering{roman}														
%---------------------------------------------------------------------------

\input{vorspann/titel}					% Titel der Arbeit aus Datei titel.tex lesen
\input{vorspann/version}				% Versionsnummer und -datum aus Datei version.tex lesen

% Set up header and footer
%---------------------------------------------------------------------------
\makeatletter
\patchcmd{\@fancyhead}{\rlap}{\color{bfhgrey}\rlap}{}{}		% new color of header
\patchcmd{\@fancyfoot}{\rlap}{\color{bfhgrey}\rlap}{}{}		% new color of footer
\makeatother

\fancyhf{}																		% clean all fields
\fancypagestyle{plain}{												% new definition of plain style	
	\fancyfoot[OR,EL]{\footnotesize \thepage} 	% footer right part --> page number
	\fancyfoot[OL,ER]{\footnotesize \titel, Version \versionnumber, \versiondate}	% footer even page left part 
}

\renewcommand{\chaptermark}[1]{\markboth{\thechapter.  #1}{}}
\renewcommand{\headrulewidth}{0pt}				% no header stripline
\renewcommand{\footrulewidth}{0pt} 				% no bottom stripline

\pagestyle{plain}
%---------------------------------------------------------------------------


% Title Page and Abstract
%---------------------------------------------------------------------------
%\include{vorspann/titelseite_ohne_bild}		% activate for Titelseite ohne Bild
\include{vorspann/titelseite_mit_bild}			% activate for Titelseite mit Bild
\include{vorspann/versionen}
\cleardoubleemptypage
\setcounter{page}{1}
\cleardoublepage
\phantomsection 
\addcontentsline{toc}{chapter}{Management Summary}
\include{vorspann/management_summary}
\addcontentsline{toc}{chapter}{Danksagung}
\include{vorspann/danksagung}
\cleardoubleemptypage
%---------------------------------------------------------------------------

% Table of contents
%---------------------------------------------------------------------------
\tableofcontents
\cleardoublepage
%---------------------------------------------------------------------------

% Main part:
%---------------------------------------------------------------------------
\pagenumbering{arabic}

\include{kapitel/einleitung}
\include{kapitel/ausgangslage}
\include{kapitel/planung}
\include{kapitel/planung_entwicklung-der-idee}
\include{kapitel/planung_aufbau}
\include{kapitel/planung_use-cases}
\include{kapitel/planung_anforderungen-ziele}
\include{kapitel/planung_risikoanalyse}
\include{kapitel/planung_abgrenzung}
\include{kapitel/evaluation}
\include{kapitel/umsetzung}
\include{kapitel/umsetzung_architektur}
\include{kapitel/umsetzung_vpn-box-vm}
\include{kapitel/umsetzung_raspberry}
\include{kapitel/umsetzung_flask}
\include{kapitel/umsetzung_vpn-box_admin-interface}
\include{kapitel/umsetzung_hardware-anforderungen}
\include{kapitel/security-considerations}
\include{kapitel/die_vpn-box}
\include{kapitel/probleme}
\include{kapitel/ergebnisse}
\include{kapitel/learnings}
\include{kapitel/future-work}
\include{kapitel/pers-fazit}
\include{kapitel/schlussfolgerung}
%---------------------------------------------------------------------------

% Selbständigkeitserklärung
%---------------------------------------------------------------------------
\cleardoublepage
\phantomsection 
\addcontentsline{toc}{chapter}{Selbständigkeitserklärung}
%\include{anhang/selbstaendigkeitserklaerung}
\includepdf{anhang/selbstaendigkeitserklaerung.pdf}
%---------------------------------------------------------------------------

% Glossary
%---------------------------------------------------------------------------
\cleardoublepage
\cleardoubleemptypage
\phantomsection 
\addcontentsline{toc}{chapter}{Glossar}
\renewcommand{\glossaryname}{Glossar}
\printglossary
%---------------------------------------------------------------------------

% Bibliography
%---------------------------------------------------------------------------
\cleardoublepage
\phantomsection 
\addcontentsline{toc}{chapter}{Literaturverzeichnis}
\bibliographystyle{IEEEtranS}
\bibliography{datenbanken/bibliography}{}
%---------------------------------------------------------------------------

% Listings
%---------------------------------------------------------------------------
\cleardoublepage
\phantomsection 
\addcontentsline{toc}{chapter}{Abbildungsverzeichnis}
\listoffigures
\cleardoublepage
\phantomsection 
\addcontentsline{toc}{chapter}{Tabellenverzeichnis}
\listoftables
%---------------------------------------------------------------------------

% Index
%---------------------------------------------------------------------------
%\cleardoublepage
%\phantomsection 
%\addcontentsline{toc}{chapter}{Stichwortverzeichnis}
%\renewcommand{\indexname}{Stichwortverzeichnis}
%\printindex
%---------------------------------------------------------------------------

% Attachment:
%---------------------------------------------------------------------------
\appendix
\settocdepth{section}
\include{anhang/zeitjournal}
\include{anhang/admin_guide}
\include{anhang/user_guide}
\cleardoublepage
\addcontentsline{toc}{chapter}{Anhang: Proof-Of-Concept}
\includepdf[page=-]{anhang/project2-proof-of-concept.pdf}
%---------------------------------------------------------------------------

%---------------------------------------------------------------------------
\end{document}

